# studio::Widget_Color Class Reference

`#include <widget_color.h>`

List of all members.

## Public Member Functions

sigc::signal< void > & | signal_activate ()
sigc::signal< void > & | signal_clicked ()
sigc::signal< void > & | signal_secondary ()
void | set_value (const synfig::Color &data)
const synfig::Color & | get_value ()
| Widget_Color ()
| ~Widget_Color ()

## Constructor & Destructor Documentation

Widget_Color::Widget_Color | ( |  | ) |

Widget_Color::~Widget_Color | ( |  | ) |

## Member Function Documentation

sigc::signal<void>& studio::Widget_Color::signal_activate | ( |  | ) | `[inline]`

Referenced by studio::Dock_PalEdit::refresh().

sigc::signal<void>& studio::Widget_Color::signal_clicked | ( |  | ) | `[inline]`

Referenced by studio::Widget_Defaults::Widget_Defaults().

sigc::signal<void>& studio::Widget_Color::signal_secondary | ( |  | ) | `[inline]`

Referenced by studio::Dock_PalEdit::refresh().

void Widget_Color::set_value | ( | const synfig::Color & | data | ) |

Referenced by studio::Widget_ColorEdit::on_value_changed(), studio::Dock_PalEdit::refresh(), and studio::Widget_ColorEdit::set_value().

const synfig::Color & Widget_Color::get_value | ( |  | ) |

The documentation for this class was generated from the following files:

- widget_color.h
- widget_color.cpp